Русская версия ZWCAD+ 2015 SP3 (VERNUM: 2015.08.15) — уже в продаже!

пт, 08/21/2015 - 17:43

По традиции в новой сборке реализован новый функционал, оптимизирована работа уже имеющихся механизмов, исправлены ошибки предыдущих версий. В частности, возможности ZWCAD+ 2015 SP3 предусматривают выполнение обрезки трехмерных объектов указанными плоскостями, созданы новые системные переменные, улучшены средства API.

3D Clip — подрезание 3D-моделей плоскостями

При активизации команды 3D Clip на экране отображается графический интерфейс «Регулировка плоскостей подрезки». В нем можно развернуть модель в требуемом представлении (по аналогии с применением операции 3D Orbit) и установить положение плоскостей, с помощью которых будет ограничен видимый фрагмент трехмерного чертежа.

Далее можно реализовать выполненные корректировки непосредственно на чертеже. Созданный визуальный эффект идентичен обрезке объектов по выбранным плоскостям, причем с сохранением целостности объектов.

Новые системные переменные

HPMAXLINES — устанавливает предельно допустимое число элементов, которые можно задействовать при создании штриховки. Диапазон возможных значений — от 100 до 10000000.

TXTEXPSWITCH — устанавливает способ конвертации текста в полилинии.

Улучшение функционала и устранение ошибок

Ряд корректировок и доработок ZWCAD+ 2015 SP3 были внесены в соответствии с просьбами пользователей:

  • Удержание нажатой клавиши Shift при создании Сопряжения или Фаски делает радиус равным 0, что дает возможность быстро построить угол между отрезками.
  • Устранен недочет, связанный с изменением размера шрифта в таблице в момент открытия файла, при ее редактировании и копировании.
  • Реализован функционал копирования определенных прокси объектов, для которых ранее данная операция была недоступна. Следует учесть, что при копировании/вставке ряда специфических прокси объектов существует вероятность изменения данных либо их повреждения.
  • В диалоговом окне «Группы» сохраняется значение флага «Включая неименованные».
  • Реализовано сохранение размеров окна Диспетчера вложений.
  • Исправлена ошибка, проявлявшаяся при обращении к листам с лишними пробелами в наименовании.
  • Повышена производительность и стабильность работы программы, ликвидированы фатальные ошибки, проявлявшиеся при работе с определенными чертежами специфического характера.

API-средства разработки

В программе ZWCAD+ 2015 SP3 реализован новый функционал для создателей утилит и прочих продуктов для ZWCAD+.

ZRX class function

AcGePoint3d AcDbRasterImage::position() const;

AcDbObjectId AcDbAbstractViewTableRecord::sunId() const;

Acad::ErrorStatus AcDbLayerTableRecord::setMaterialId(AcDbObjectId id);

AcDbObjectId AcDbLayerTableRecord::materialId() const;

 AcDbDynBlockReference::AcDbDynBlockReference(AcDbBlockReference * pRef)

AcDbObjectId AcDbDynBlockReference::anonymousBlockTableRecord() const

AcDbObjectId AcDbDynBlockReference::blockId() const

Acad::ErrorStatus AcDbDynBlockReference::convertToStaticBlock()

Acad::ErrorStatus AcDbDynBlockReference::convertToStaticBlock(const AcString & newBlockName)

AcDbObjectId AcDbDynBlockReference::dynamicBlockTableRecord() const

Acad::ErrorStatus AcDbDynBlockReference::resetBlock()

AcDbDynBlockReferenceProperty::AcDbDynBlockReferenceProperty(const AcDbDynBlockReferenceProperty & other)

AcDbObjectId AcDbDynBlockReferenceProperty::blockId() const

AcString AcDbDynBlockReferenceProperty::description() const

AcDbDynBlockReferenceProperty& AcDbDynBlockReferenceProperty::operator=(const AcDbDynBlockReferenceProperty & other)

AcDbEvalVariant::Type AcDbDynBlockReferenceProperty::propertyType() const

bool AcDbDynBlockReferenceProperty::readOnly() const

bool AcDbDynBlockReferenceProperty::show() const

UnitsType AcDbDynBlockReferenceProperty::unitsType() const

 AcDbEvalVariant::AcDbEvalVariant()

AcDbEvalVariant::AcDbEvalVariant(const AcDbEvalVariant & other)

AcDbEvalVariant::AcDbEvalVariant(const AcDbEvalVariant * pOther)

AcDbEvalVariant::~AcDbEvalVariant()

AcDbEvalVariant::AcDbEvalVariant(short iVal)

AcDbEvalVariant::AcDbEvalVariant(const ACHAR * szVal)

AcDbEvalVariant::AcDbEvalVariant(long lVal)

AcDbEvalVariant::AcDbEvalVariant(const AcDbObjectId & id)

AcDbEvalVariant::AcDbEvalVariant(const AcGePoint2d & pt)

AcDbEvalVariant::AcDbEvalVariant(const AcGePoint3d & pt)

AcDbEvalVariant& AcDbEvalVariant::operator=(double dVal)

AcDbEvalVariant& AcDbEvalVariant::operator=(short iVal)

AcDbEvalVariant& AcDbEvalVariant::operator=(long lVal)

AcDbEvalVariant& AcDbEvalVariant::operator=(const ACHAR * szVal)

AcDbEvalVariant& AcDbEvalVariant::operator=(const AcDbObjectId & id)

AcDbEvalVariant& AcDbEvalVariant::operator=(const AcGePoint2d & pt)

AcDbEvalVariant& AcDbEvalVariant::operator=(const AcGePoint3d & pt)

void AcDbEvalVariant::clear()

virtual Acad::ErrorStatus AcDbEvalVariant::copyFrom(const AcRxObject * pOther)

 

ZRX Global function:

int ads_queueexpr(ACHAR* expr);

 

.Net Property

RasterImage.Position

Еще раз подчеркнем, что для всех пользователей ZWCAD+ 2015 обновление ZWCAD+ 2015 SP3 является бесплатным. Перед деинсталляцией или переустановкой локального варианта ZWCAD+ с электронной защитой следует произвести возврат Лицензии в соответствии с Руководством.

При использовании сетевого варианта желательно произвести возврат лицензии и поставить новую версию Сетевого Менеджера Лицензии. Порядок действий в данном случае описан в Руководстве.